com.holonplatform.core.datastore

## Class DatastoreCommodityContext.CommodityConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.core.datastore.DatastoreCommodityContext.CommodityConfigurationException

- All Implemented Interfaces:
    Serializable
  Enclosing interface:
    DatastoreCommodityContext

      public static class DatastoreCommodityContext.CommodityConfigurationException
      extends RuntimeException

  Exception to notify a `DatastoreCommodity` configuration error.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommodityConfigurationException(String message)` Constructor with error message
    `CommodityConfigurationException(String message, Throwable cause)` Constructor with error message and nested exception
    `CommodityConfigurationException(Throwable cause)` Constructor with nested exception

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommodityConfigurationException

          public CommodityConfigurationException(String message)

      Constructor with error message
      Parameters:
        `message` - Error message

    - #### CommodityConfigurationException

          public CommodityConfigurationException(Throwable cause)

      Constructor with nested exception
      Parameters:
        `cause` - Nested exception

    - #### CommodityConfigurationException

          public CommodityConfigurationException(String message,
                                                 Throwable cause)

      Constructor with error message and nested exception
      Parameters:
        `message` - Error message
        `cause` - Nested exception

Copyright © 2019 The Holon Platform. All rights reserved.